﻿@mixin aspect-ratio($width, $height) {
    position: relative;

    &:before {
        display: block;
        content: "";
        width: 100%;
        padding-top: ($height / $width) * 100%;
    }

    > .content {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
    }
}

html, body {
    padding: 0;
    margin: 0;
    font-family: 'Roboto', 'sans-serif';
}

* {
    box-sizing: border-box;
}

h1, h2, h3, h4, h5, h6 {
    margin-top: .5em;
}

a {
    text-decoration: none;
    color: #0c5460;
    transition: color .1s ease-out;

    &:hover {
        color: #0b2e13;
        transition: color .1s ease-out;
    }
}

header.navigation {
    background-color: #fff;
    box-shadow: 0 2px 4px rgba(#000, .4);

    .container {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 10px;
    }

    .logo {
        h1 {
            margin: 0;
        }
    }

    ul.nav {
        padding: 0;
        margin: 0;
        list-style: none;

        li > a {
            margin: 0 5px;
        }
    }
}

    .error {
        color:red
    }

.roadmap-module {
    box-shadow: 0 2px 8px rgba(#000, .2), 0px 0px 16px rgba(#000, .1);
    border-radius: 3px;
    cursor: pointer;
    transition: all .1s ease-out;

    &:hover {
        transition: all .1s ease-out;
        transform: scale(1.03);
    }

    width: 22%;
    margin: 5px;
    @include aspect-ratio(16, 7);

    > .content {
        overflow: hidden;
        padding: 5px;

        .ec {
            &:after {
                content: " ECs";
            }
        }
    }

    &.selected {
        background-color: #000;
        color: #fff;
    }
}
    .student-container {
        display: flex;
        flex-wrap: wrap;


        .student-card {
            box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
            max-width: 32%;
            text-align: center;
            font-family: arial;
            margin-left: 5px;
            margin-right: 5px;
            flex: 1;
            width: 300px;
            min-width: 300px;
            word-wrap: break-word;
        }

        .student-title {
            color: grey;
            font-size: 18px;
        }

        .student-button {
            border: none;
            outline: 0;
            display: inline-block;
            padding: 8px;
            color: white;
            background-color: #000;
            text-align: center;
            cursor: pointer;
            width: 100%;
            font-size: 18px;
        }

        .student-a {
            text-decoration: none;
            font-size: 22px;
            color: black;
        }

        .student-button:hover, .student-a:hover {
            opacity: 0.7;
        }
    }

    @media (max-width: 620px) {
        .student-container {
            display: block;

            .student-card {
                width: 100%;
                max-width: 100%;
            }
        }
    }

section.card {
    margin-top: 20px;
    padding: 10px;
    background-color: #fff;
    border-radius: 3px;
    box-shadow: 0 2px 8px rgba(#000, .2), 0px 0px 16px rgba(#000, .1);
    display: block;
    position: relative;

    &:last-of-type {
        margin-bottom: 200px;
    }

    &.disabled {
        pointer-events: none;
        opacity: .6;
        transition: all .2s ease-out;

        &:before {
            transform: translate(-50%, -50%);
            transition: all 1s ease-out;
            opacity: 1;
        }
    }

    &:before {
        content: "";
        width: 150px;
        height: 150px;
        position: absolute;
        left: 50%;
        top: 50%;
        transition: all 1s ease-out;
        opacity: 0;
        transform: translate(-100vw, -50%);
        background: rgba(#000, .3) url(https://upload.wikimedia.org/wikipedia/commons/thumb/c/c5/OOjs_UI_icon_lock-ltr.svg/1024px-OOjs_UI_icon_lock-ltr.svg.png);
        background-size: contain;
        background-position: center;
        background-repeat: no-repeat;
        border-radius: 100%;
    }
}

.module-list {
    margin: 0 -5px;
    display: flex;
    flex-wrap: wrap;
}
footer .module .infoimage {
    display: none
}
.module {
    z-index:1;
    position: relative;
    box-shadow: 0 2px 8px rgba(#000, .2), 0px 0px 16px rgba(#000, .1);
    border-radius: 3px;
    cursor: pointer;
    transition: all .1s ease-out;

    &:hover {
        transition: all .1s ease-out;
        transform: scale(1.03);
    }

    width: calc(20% - 10px);
    margin: 5px;
    @include aspect-ratio(16, 7);

    > .content {
        overflow: hidden;
        padding: 5px;

        .ec {
            &:after {
                content: " ECs";
            }
        }
    }

    &.selected {
        background-color: #000;
        color: #fff;
    }
}
.tooltip img {
    height: auto;
    width: 20px;
   position:absolute;
   right: 5px;
   bottom:5px;
}

.tooltiptext {
    display: none;
    background: gray;
    color: white;
    padding: 10px;
    border-radius: 6px;
    position: absolute;
    z-index: 1;
    bottom: 40%;
    left: 50%;
    margin-left: -60px;
    z-index: 10000;
    max-width: 200px;
    max-height: 200px;
}

.tooltip:hover .tooltiptext {
    display: block;
    position:absolute;
}

footer.route {
    background-color: #fff;
    box-shadow: 0 2px 4px rgba(#000, .4);
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 99;

    .container {
        > h2 {
            margin-bottom: 0;
        }

        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 10px 5px;

        .semester {
            min-width: 25%;
            display: flex;
            flex-wrap: wrap;
            position: relative;
            padding-bottom: 10px;
            margin-bottom: 25px;
            border-bottom: 2px solid black;

            span.tag {
                position: absolute;
                bottom: -25px;
                left: 50%;
                transform: translateX(-50%);
            }

            &:before {
                content: "";
                position: absolute;
                left: -5px;
                bottom: -6px;
                width: 10px;
                height: 10px;
                border-radius: 100%;
                background-color: #000;
            }

            &:last-of-type {
                &:after {
                    content: "";
                    position: absolute;
                    right: -5px;
                    bottom: -6px;
                    width: 10px;
                    height: 10px;
                    border-radius: 100%;
                    background-color: #000;
                }
            }

            .module {
                width: calc(50% - 10px);

                h3 {
                    font-size: .9rem;
                    margin-bottom: 0;
                }
            }
        }
    }
}
@mixin aspect-ratio($width, $height) {
    position: relative;
    &:before {
        display: block;
        content: "";
        width: 100%;
        padding-top: ($height / $width) * 100%;
    }
    > .content {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
    }
}

    html, body {
        padding: 0;
        margin: 0;
        font-family: 'Roboto', 'sans-serif';
    }

    * {
        box-sizing: border-box;
    }

    h1, h2, h3, h4, h5, h6 {
        margin-top: .5em;
    }

    a {
        text-decoration: none;
        color: #0c5460;
        transition: color .1s ease-out;

        &:hover {
            color: #0b2e13;
            transition: color .1s ease-out;
        }
    }

    header.navigation {
        background-color: #fff;
        box-shadow: 0 2px 4px rgba(#000, .4);

        .container {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 10px;
        }

        .logo {
            h1 {
                margin: 0;
            }
        }

        ul.nav {
            padding: 0;
            margin: 0;
            list-style: none;

            li > a {
                margin: 0 5px;
            }
        }
    }

    .container {
        max-width: 1080px;
        margin: 0 auto;
    }

section.card {
    margin-top: 20px;
    padding: 10px;
    background-color: #fff;
    border-radius: 3px;
    box-shadow: 0 2px 8px rgba(#000, .2), 0px 0px 16px rgba(#000, .1);
    display: block;
    position: relative;
    &:last-of-type {
        margin-bottom: 200px;
    }
    &.disabled {
        pointer-events: none;
        opacity: .6;
        transition: all .2s ease-out;
        &:before {
            transform: translate(-50%, -50%);
            transition: all 1s ease-out;
            opacity: 1;
        }
    }
    &:before {
        content: "";
        width: 150px;
        height: 150px;
        position: absolute;
        left: 50%;
        top: 50%;
        transition: all 1s ease-out;
        opacity: 0;
        transform: translate(-100vw, -50%);
        background: rgba(#000, .3) url(https://upload.wikimedia.org/wikipedia/commons/thumb/c/c5/OOjs_UI_icon_lock-ltr.svg/1024px-OOjs_UI_icon_lock-ltr.svg.png);
        background-size: contain;
        background-position: center;
        background-repeat: no-repeat;
        border-radius: 100%;
    }
}

.CreateForm {
    margin-left: auto;
    margin-right: auto;
    width: 8em;

        input {
            &[type=text], &[type=number] {
                margin: 8px 0;
                display: inline-block;
                border: 1px solid #ccc;
                box-shadow: inset 0 1px 3px #ddd;
                border-radius: 4px;
                -webkit-box-sizing: border-box;
                -moz-box-sizing: border-box;
                box-sizing: border-box;
                padding-left: 20px;
                padding-right: 20px;
                padding-top: 12px;
                padding-bottom: 12px;
            }
        }
    }

    .subbutton {
        box-shadow: inset 6px 4px 0px 0px #ffffff;
        background: linear-gradient(to bottom, #ffffff 5%, #f6f6f6 100%);
        background-color: #ffffff;
        border-radius: 6px;
        border: 1px solid #dcdcdc;
        display: inline-block;
        cursor: pointer;
        color: #666666;
        font-family: Arial;
        font-size: 16px;
        font-weight: bold;
        padding: 7px 24px;
        text-decoration: none;
        text-shadow: 0px 1px 0px #ffffff;

        &:hover {
            background: linear-gradient(to bottom, #f6f6f6 5%, #ffffff 100%);
            background-color: #f6f6f6;
        }

        &:active {
            position: relative;
            top: 1px;
        }
    }

    .alert-success {
        color: #468847;
        background-color: #dff0d8;
        border-color: #d6e9c6;
    }

    .alert-dismissable {
        padding-right: 35px;
    }

    .alert {
        padding: 15px;
        margin: 20px;
        border: 1px solid transparent;
        border-radius: 4px;
    }

    .alert-dismissable .close {
        position: relative;
        top: -2px;
        color: inherit;
    }

    button.close {
        padding: 0;
        cursor: pointer;
        background: transparent;
        border: 0;
        -webkit-appearance: none;
    }

    .close {
        float: right;
        font-size: 21px;
        font-weight: bold;
        line-height: 1;
        color: #000000;
        text-shadow: 0 1px 0 #ffffff;
        opacity: 0.2;
        filter: alpha(opacity = 20);
    }

#alerts {
    margin: auto;
    width: 100%;
}
.subbutton:active {
    position: relative;
    top: 1px;
}


.OverviewCards {
    margin-left: 20px;
}

.OverviewCard {
    width: 180px;
    height: 80px;
    border: 1px solid #ccc;
    box-shadow: inset 0 1px 3px #ddd;
    border-radius: 4px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 6px;
    padding-bottom: 6px;
    text-align: center;
}

.OverviewCard label {
    text-align: center;
}

.grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(190px, 2fr));
    grid-auto-rows: 1fr;
}

.grid::before {
    content: '';
    grid-row: 1 / 1;
    grid-column: 1 / 1;
}

.grid > *:first-child {
    grid-row: 1 / 1;
    grid-column: 1 / 1;
}

.grid > * {
    background: rgba(0,0,0,0.1);
    border: 1px white solid;
}

#CreateCompetenceButton {
    float: right;
}
#editbutton {
    padding-top:5px;
    width: 25px;
    height: auto;
    cursor: pointer;
}

#deletebutton {
    padding-top: 5px;
    cursor: pointer;
    width: 25px;
    height: auto;
}
